Audacity: Um Programa Livre para Gravar e Editar Áudio

Políticas para Publicidade

Código-Fonte

Requisitos mínimos do sistema

Como Compilar o Audacity

Dependências

A biblioteca wxWidgets é necessária. O Audacity 2.0.6 precisa do wxGTK 2.8.12. A biblioteca libsndfile também é necessária e está incluída no Audacity obtido a partir da SVN. A instalação de mais bibliotecas é opcional.

O CMake é necessário para compilar a libsoxr, que é, agora, a biblioteca de reamostragem usada pelo Audacity.

Se instalar as bibliotecas com um gestor de pacotes como o Apt ou RPM, precisa de instalar os pacotes "dev" (development - desenvolvimento) para cada biblioteca.

Compilação

Para compilar o Audacity, execute os seguintes comandos na pasta do código-fonte:

./configure && make

Pode digitar ./configure --help para ver uma lista de opções da compilação. Após compilado, execute make install como root para instalar o Audacity.

Áqueles que são novos em compilação recomendamos a consulta das páginas Compilar o Audacity para Principiantes. Informação para Programadores no Guia do Programador.